import { ElementStyles } from '@microsoft/fast-element';
import { FASTElement } from '@microsoft/fast-element';
import { ViewTemplate } from '@microsoft/fast-element';

/**
 * @public
 */
export declare class Inbox extends FASTElement {
    ready: boolean;
    connectedCallback(): Promise<void>;
    /**
     * Load remote components
     *
     * @remarks
     *
     * With regards to module federation
     *
     * @internal
     */
    loadRemotes(): Promise<void>;
}

/**
 * @public
 */
export declare const InboxTemplate: ViewTemplate<Inbox, any>;

/**
 * @public
 */
export declare const MainStyles: ElementStyles;

export { }
